# -*- coding: utf-8 -*-
from __future__ import annotations

from hotpocket_backend.apps.accounts.types import PAccount


def is_authenticated_and_active_account(account: PAccount) -> bool:
    return all((
        account.is_authenticated,
        account.is_active,
    ))
